using System.Collections.Generic;

namespace PV178.Homework3
{
    /// <summary>
    /// Tda pro seskupen film podle roku uveden.
    /// </summary>
    public class YearMoviesPair
    {
        /// <summary>
        /// Vrac nebo nastavuje rok uveden filmu.
        /// </summary>
        public short ReleaseYear { get; set; }

        /// <summary>
        /// Vrac nebo nastavuje kolekci film.
        /// </summary>
        public IEnumerable<Movie> Movies { get; set; }

        /// <summary>
        /// Vytvo novou instanci YearMoviesPair.
        /// </summary>
        public YearMoviesPair()
        {
            Movies = new List<Movie>();
        }

        /// <summary>
        /// Vytvo novou instanci YearMoviesPair.
        /// </summary>
        /// <param name="year">Rok uveden filmu.</param>
        /// <param name="movies">Kolekce film.</param>
        public YearMoviesPair(short year, IEnumerable<Movie> movies)
        {
            ReleaseYear = year;
            Movies = new List<Movie>(movies);
        }
    }
}